//+------------------------------------------------------------------+
//|                                              VininI_LRMA(v1).mq4 |
//|                                                  Victor Nicolaev |
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor Nicolaev"
#property link      "vinin@mail.ru"


#property indicator_chart_window
#property indicator_buffers 2

#property indicator_color1 Green
#property indicator_color2 Red

extern int period=89;
extern int price=0;


//---- buffers
double LRMA[];
double MA[];
int p;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
//---- drawing settings
   p=MathSqrt(period);
   
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexDrawBegin(0,period);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexDrawBegin(1,period+p);

   SetIndexBuffer(0,LRMA);
   SetIndexBuffer(1,MA);


   return(0); }//int init() 
//+------------------------------------------------------------------+
int start() {
   int counted_bars=IndicatorCounted();
   int i, limit0=Bars-counted_bars-1, limit1;
   limit1=limit0;
   if (counted_bars==0) {
      limit0=Bars-period-1;
      limit1=limit0-p;
   }
   for (i = limit0;i>=0;i--)
      LRMA[i]=3.0*iMA(Symbol(),0,period,0,MODE_LWMA,price,i)-2.0*iMA(Symbol(),0,period,0,MODE_SMA,price,i);
   for (i = limit1;i>=0;i--)
      MA[i]=iMAOnArray(LRMA,0,p,0,MODE_SMA,i);

   return(0); 
}



